// CCRZ.collections.OrderList
d("myOrderList", ['ccrz', 'log', 'util'], function (CCRZ, log, UTIL) {
    myOrderList = CCRZ.CloudCrazePageable.extend({
        mode: "client",
        state: {
         firstPage: 1,
         pageSize: parseInt(CCRZ.getPageConfig('pgbl.ord', true) ? CCRZ.getPageConfig('pgbl.pageSize', '3') : '2000'),
        },
        searchFormData :{
         ascending:"false"     
        },
        model : CCRZ.models.OrderSummaryModel,
        className : "cc_ctrl_myaccountRD",
        initialize : function(dataList){
         this.reset(dataList);
        },
    
        fetchNavData: function(state, formData, callback) {
         UTIL.showLoader();
         var coll = this;
         this.invokeContainerLoadingCtx($('.deskLayout'), "performOrderSearch",  
          formdata, function(response){
          if(response && response.success) {
           UTIL.hideLoader();
           callback(response.data);
          } else {
           UTIL.hideLoader();
           CCRZ.pubSub.trigger("pageMessage", response);
          }
         }, {timeout: 120000});
        },
        
        fetchAllNavData: function(state, formdata, callback) {
         UTIL.showLoader();
         var coll = this;
         this.invokeContainerLoadingCtx($('.deskLayout'), "performOrderSearch", 
         formdata, function(response){
          if(response && response.success) {
           UTIL.hideLoader();
           callback(response.data);
          } else {
           UTIL.hideLoader();
           CCRZ.pubSub.trigger("pageMessage", response);
          }
         }, {timeout: 120000});
        },
        reorder: function(orderId, callback) {
         this.invokeContainerLoadingCtx($('.deskLayout'), "handleReorder", orderId, function(response){
          if(response && response.success && response.data){
           UTIL.hideLoader();
           callback(response.data);
          }else{
           UTIL.hideLoader();
           CCRZ.pubSub.trigger("pageMessage", response);
          }
         });
        },
        orderCancel: function(orderId, type, callback) {
         var coll = this;
         this.invokeContainerLoadingCtx($('.deskLayout'), "handleCancel", orderId, function(response){
          coll.fetch();
          callback(response.data);
         });
        },
        searchOrder: function(formdata,sortCriteria, ascending, callback) {
         var coll = this;
         this.invokeContainerLoadingCtx($('.deskLayout'), "performOrderSearch", "", "", formdata, sortCriteria, ascending, function(response){
          callback(response);
         });
         
        }
       
       });
    return myOrderList;
});